<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class UserActivity extends Model
{
    protected $table = 'user_activity';

    public function album()
    {
        return $this->belongsTo(Album::class);
    }

    public function photo()
    {
        return $this->belongsTo(Photo::class);
    }

    public function photoComment()
    {
        return $this->belongsTo(PhotoComment::class);
    }

    public function user()
    {
        return $this->belongsTo(User::class);
    }
}
